<?php

/**
 * Wrapper for hook_quant_charts().
 */
function _quant_quant_charts() {
  $path = drupal_get_path('module', 'quant');
  $charts = array();
  
  // Table charts
  $chart = array(
    'id' => 'table',
    'name' => t('Table charts'),
    'description' => t('Output chart data in a plain-text table'),
    'plugin' => array(
      'file' => 'QuantChartTable.inc',
      'path' => $path . '/plugins',
      'class' => 'QuantChartTable', 
    ),
  );
  $charts[$chart['id']] = $chart;
  
  if (module_exists('chart')) {
    // Chart API charts
    $chart = array(
      'id' => 'chart',
      'name' => t('Google charts'),
      'description' => t('Output chart data in a graphic chart provided by the Google Chart API.'),
      'plugin' => array(
        'file' => 'QuantChartChartAPI.inc',
        'path' => $path . '/plugins',
        'class' => 'QuantChartChartAPI', 
      ),
    );
    $charts[$chart['id']] = $chart;
  }
  
  return $charts;
}
